#include <gtk/gtk.h>
#include "table.h"
#include "field.h"
#include "statusbar.h"
#include "piskvorky.h"
#include "spawn.h"

void quit(GtkWidget *widget, gpointer data)
{
  ai_kill();
  gtk_main_quit();
}

int main(int argc, char **argv)
{
  GtkWidget *window, *vbox;

  gtk_init(&argc, &argv);

  window = gtk_window_new(GTK_WINDOW_TOPLEVEL);

  gtk_signal_connect (GTK_OBJECT (window), "delete_event",
		      GTK_SIGNAL_FUNC (quit), NULL);
  gtk_window_set_title (GTK_WINDOW (window), "Piskvorky");
  vbox = gtk_vbox_new(FALSE, 0);
  gtk_container_add(GTK_CONTAINER (window), vbox);

  initfield(30, 20);
  create_table(vbox);
  create_statusbar(vbox);

  gtk_widget_show(vbox);  
  gtk_widget_show(window);

  start(1, 1, 0);  // 1 = krizek zacina,   1 = koleckopocitac,   0 = ne krizekpocitac

  gtk_main();

  return 0;
}
